package com.ssj.bean.sys.attendance;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 出勤记录
 *
 * @author Mount Liu
 * @date 2019/6/4
 */
@Entity
@Table(name = "tb_attendance")
public class Attendance extends BaseEntity {
    private static final long serialVersionUID = 890135943022798129L;
    /**
     * 出勤人id
     */
    private String userId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 登录时间
     */
    private Date loginTime;
    /**
     * 最后登录时间
     */
    private Date lastLoginTime;
    /**
     * 下线时间
     */
    private Date logoutTime;
    /**
     * 最后下线时间
     */
    private Date lastLogoutTime;
    /**
     * 是否出勤
     */
    private int isAttendance;
    /**
     * 角色类型（8:在线批改老师）
     */
    private int type;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    public int getIsAttendance() {
        return isAttendance;
    }

    public void setIsAttendance(int isAttendance) {
        this.isAttendance = isAttendance;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Date getLastLoginTime() {
        return lastLoginTime;
    }

    public void setLastLoginTime(Date lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public Date getLastLogoutTime() {
        return lastLogoutTime;
    }

    public void setLastLogoutTime(Date lastLogoutTime) {
        this.lastLogoutTime = lastLogoutTime;
    }
}
